using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    /// <summary>
    /// 新闻列表
    /// </summary>
    public class GetNoticeReceiveDataDto
    {
        /// <summary>
        /// 总页数
        /// </summary>
        [JsonPropertyName("PageCount")]
        public int PageCount { get; set; } = 0;

        /// <summary>
        /// 数据
        /// </summary>
        [JsonPropertyName("data")]
        public IReadOnlyList<GetNoticeReceiveDataListDto> data { get; set; }
    }

    public class GetNoticeReceiveDataListDto
    {
        /// <summary>
        /// 索引
        /// </summary>
        [JsonPropertyName("Page")]
        public string Page { get; set; }

        /// <summary>
        /// 新闻ID标识
        /// </summary>
        [JsonPropertyName("NoticeID")]
        public string NoticeID { get; set; }

        /// <summary>
        /// 新闻分类
        /// </summary>
        [JsonPropertyName("NoticeTypeName")]
        public string NoticeTypeName { get; set; }

        /// <summary>
        /// 新闻标题
        /// </summary>
        [JsonPropertyName("NoticeTitle")]
        public string NoticeTitle { get; set; }

        /// <summary>
        /// 发布部门
        /// </summary>
        [JsonPropertyName("NoticeBMName")]
        public string NoticeBMName { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [JsonPropertyName("NoticeCreateDate")]
        public string? NoticeCreateDate { get; set; }
    }
}
